org.apache.tinkerpop.gremlin.process.computer

## Class GraphComputer.Exceptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.GraphComputer.Exceptions

- Enclosing interface:
    GraphComputer

      public static class GraphComputer.Exceptions
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnsupportedOperationException` | `adjacentVertexEdgesAndVerticesCanNotBeReadOrUpdated()`
    `static UnsupportedOperationException` | `adjacentVertexLabelsCanNotBeRead()`
    `static UnsupportedOperationException` | `adjacentVertexPropertiesCanNotBeReadOrUpdated()`
    `static IllegalStateException` | `computerHasAlreadyBeenSubmittedAVertexProgram()`
    `static IllegalStateException` | `computerHasNoVertexProgramNorMapReducers()`
    `static IllegalArgumentException` | `computerRequiresMoreWorkersThanSupported(int workers, int maxWorkers)`
    `static IllegalArgumentException` | `edgeFilterAccessesAdjacentVertices(Traversal<Vertex,Edge> edgeFilter)`
    `static UnsupportedOperationException` | `graphFilterNotSupported()`
    `static UnsupportedOperationException` | `incidentAndAdjacentElementsCanNotBeAccessedInMapReduce()`
    `static IllegalArgumentException` | `providedKeyIsNotAMemoryComputeKey(String key)`
    `static IllegalArgumentException` | `providedKeyIsNotAnElementComputeKey(String key)`
    `static IllegalArgumentException` | `resultGraphPersistCombinationNotSupported(GraphComputer.ResultGraph resultGraph, GraphComputer.Persist persist)`
    `static IllegalArgumentException` | `vertexFilterAccessesIncidentEdges(Traversal<Vertex,Vertex> vertexFilter)`
    `static UnsupportedOperationException` | `vertexPropertiesCanNotBeUpdatedInMapReduce()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### adjacentVertexLabelsCanNotBeRead

          public static UnsupportedOperationException adjacentVertexLabelsCanNotBeRead()

    - #### adjacentVertexPropertiesCanNotBeReadOrUpdated

          public static UnsupportedOperationException adjacentVertexPropertiesCanNotBeReadOrUpdated()

    - #### adjacentVertexEdgesAndVerticesCanNotBeReadOrUpdated

          public static UnsupportedOperationException adjacentVertexEdgesAndVerticesCanNotBeReadOrUpdated()

    - #### graphFilterNotSupported

          public static UnsupportedOperationException graphFilterNotSupported()

    - #### providedKeyIsNotAnElementComputeKey

          public static IllegalArgumentException providedKeyIsNotAnElementComputeKey(String key)

    - #### providedKeyIsNotAMemoryComputeKey

          public static IllegalArgumentException providedKeyIsNotAMemoryComputeKey(String key)

    - #### resultGraphPersistCombinationNotSupported

          public static IllegalArgumentException resultGraphPersistCombinationNotSupported(GraphComputer.ResultGraph resultGraph,
                                                                                           GraphComputer.Persist persist)

    - #### computerHasAlreadyBeenSubmittedAVertexProgram

          public static IllegalStateException computerHasAlreadyBeenSubmittedAVertexProgram()

    - #### computerHasNoVertexProgramNorMapReducers

          public static IllegalStateException computerHasNoVertexProgramNorMapReducers()

    - #### incidentAndAdjacentElementsCanNotBeAccessedInMapReduce

          public static UnsupportedOperationException incidentAndAdjacentElementsCanNotBeAccessedInMapReduce()

    - #### vertexPropertiesCanNotBeUpdatedInMapReduce

          public static UnsupportedOperationException vertexPropertiesCanNotBeUpdatedInMapReduce()

    - #### computerRequiresMoreWorkersThanSupported

          public static IllegalArgumentException computerRequiresMoreWorkersThanSupported(int workers,
                                                                                          int maxWorkers)

    - #### vertexFilterAccessesIncidentEdges

          public static IllegalArgumentException vertexFilterAccessesIncidentEdges(Traversal<Vertex,Vertex> vertexFilter)

    - #### edgeFilterAccessesAdjacentVertices

          public static IllegalArgumentException edgeFilterAccessesAdjacentVertices(Traversal<Vertex,Edge> edgeFilter)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.